<?php
/**
 * @package 	WordPress
 * @subpackage 	Lens Photography
 * @version		1.0.3
 * 
 * Profile Vertical Template
 * Created by CMSMasters
 * 
 */


$cmsmasters_profile_social = get_post_meta(get_the_ID(), 'cmsmasters_profile_social', true);

$cmsmasters_profile_subtitle = get_post_meta(get_the_ID(), 'cmsmasters_profile_subtitle', true);

?>
<!-- Start Profile Vertical Article -->
<article id="post-<?php the_ID(); ?>" <?php post_class('cmsmasters_profile_vertical'); ?>>
	<div class="profile_outer">
	<?php 
	echo '<div class="cmsmasters_profile_img_wrap' . (has_post_thumbnail() ? '' : ' not_image') . '">';
		
		if (has_post_thumbnail()) {
			lens_photography_thumb(get_the_ID(), 'cmsmasters-project-thumb', true, false, false, false, false);
		} else {
			echo '<div class="cmsmasters_img_wrap cmsmasters_icon_custom_camera"></div>';
		}
		
		lens_photography_profile_social_icons($cmsmasters_profile_social, $profile_id);
		
	echo '</div>';
	
	echo '<div class="profile_inner">';
		
		lens_photography_profile_heading(get_the_ID(), 'h2', $cmsmasters_profile_subtitle, 'h6');
		
		lens_photography_profile_exc_cont();
		
	echo '</div>';
	?>
	</div>
</article>
<!-- Finish Profile Vertical Article -->

